import javax.swing.*;
import java.io.*;

public class reactiontest5
{
public static void main(String arg[]) throws IOException
{
String s[]={"ch4","o2","co2","h2o","n2"};
double N[][]={{1.0,0.0},{2.0,0.0},{0.0,1.0},{0,2},{2.0*79/21,2.0*79/21}};
double Tproduct=1000.0;//degree K
double Treactant=298.15;//degree K
chemicalReaction cr=new chemicalReaction("CO combustion",s,N);
System.out.println(cr.toString("name"));
System.out.println(cr.toString("formula"));
System.out.println(cr.toString("composition"));
double Q=cr.H(Treactant,Tproduct);
boolean b=cr.conservation();
Text.print(cr.A);
System.out.println("Q : "+Q);
System.out.println("Atomic balance : \n"+cr.atombalance());
System.out.println("Atomic balance check : "+b);
}	
}